Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## demos
Class TimedValidationTest

    java.lang.Object
      demos.TimedValidationTest

    public class TimedValidationTest

extends java.lang.Object

This model uses a special interface block (IB) between DE and SDF that can react to threshold crossing on the outputs of its internal SDF model. For each output with a "threshold" property, the IB compares the current and previous values produced by the internal model to the threshold. If the threshold was crossed from below to above, an event with value +1 is produced. If the threshold was crossed from above to below, an event with value -1 is produced. If the output also has a "precision" property, it gives the precision required on the date of the event. So, if the threshold was crossed, and the time elapsed between the previous update (at t) and the current one (at t') is greater than the precision, the snapshot is not validated, and a tick is added to the control clock of the IB to make the next update occur at a time which is linearly interpolated. Since the snapshot has not been validated, this next update will occur during the same snapshot. This means that the DE time will change. Since we cannot update the SDF model at any time, the IB computes the current value of the outputs by linear interpolation between the previous and current values.

Author:
  boulange

Constructor Summary
`TimedValidationTest()`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimedValidationTest

    public TimedValidationTest()

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD